| FFmpegKit Android API 6.0

Loading...
Searching...
No Matches
Functions | Variables
fftools_ffmpeg_mux.c File Reference

Go to the source code of this file.

## Functions
MuxStream * | ms_from_ost (OutputStream *ost)
static Muxer * | mux_from_of (OutputFile *of)
static int64_t | filesize (AVIOContext *pb)
static int | write_packet (Muxer *mux, OutputStream *ost, AVPacket *pkt)
static int | sync_queue_process (Muxer *mux, OutputStream *ost, AVPacket *pkt, int *stream_eof)
static void | thread_set_name (OutputFile *of)
static void * | muxer_thread (void *arg)
static int | thread_submit_packet (Muxer *mux, OutputStream *ost, AVPacket *pkt)
static int | queue_packet (Muxer *mux, OutputStream *ost, AVPacket *pkt)
static int | submit_packet (Muxer *mux, AVPacket *pkt, OutputStream *ost)
void | of_output_packet (OutputFile *of, AVPacket *pkt, OutputStream *ost, int eof)
static int | thread_stop (Muxer *mux)
static void | pkt_move (void *dst, void *src)
static int | thread_start (Muxer *mux)
static int | print_sdp (void)
int | mux_check_init (Muxer *mux)
static int | bsf_init (MuxStream *ms)
int | of_stream_init (OutputFile *of, OutputStream *ost)
int | of_write_trailer (OutputFile *of)
static void | ost_free (OutputStream **post)
static void | fc_close (AVFormatContext **pfc)
void | of_close (OutputFile **pof)
int64_t | of_filesize (OutputFile *of)

## Variables
__thread int | want_sdp = 1

## Function Documentation

## ◆ bsf_init()

static int bsf_init | ( | MuxStream * | ms | ) |
| static

Definition at line 583 of file fftools_ffmpeg_mux.c.

## ◆ fc_close()

static void fc_close | ( | AVFormatContext ** | pfc | ) |
| static

Definition at line 736 of file fftools_ffmpeg_mux.c.

## ◆ filesize()

static int64_t filesize | ( | AVIOContext * | pb | ) |
| static

Definition at line 78 of file fftools_ffmpeg_mux.c.

## ◆ ms_from_ost()

MuxStream * ms_from_ost | ( | OutputStream * | ost | ) |

Definition at line 68 of file fftools_ffmpeg_mux.c.

## ◆ mux_check_init()

int mux_check_init | ( | Muxer * | mux | ) |

Definition at line 536 of file fftools_ffmpeg_mux.c.

## ◆ mux_from_of()

static Muxer * mux_from_of | ( | OutputFile * | of | ) |
| static

Definition at line 73 of file fftools_ffmpeg_mux.c.

## ◆ muxer_thread()

static void * muxer_thread | ( | void * | arg | ) |
| static

Definition at line 228 of file fftools_ffmpeg_mux.c.

## ◆ of_close()

void of_close | ( | OutputFile ** | pof | ) |

Definition at line 750 of file fftools_ffmpeg_mux.c.

## ◆ of_filesize()

int64_t of_filesize | ( | OutputFile * | of | ) |

Definition at line 777 of file fftools_ffmpeg_mux.c.

## ◆ of_output_packet()

void of_output_packet | ( | OutputFile * | of,
|  | AVPacket * | pkt,
|  | OutputStream * | ost,
|  | int | eof
| ) |  |

Definition at line 359 of file fftools_ffmpeg_mux.c.

## ◆ of_stream_init()

int of_stream_init | ( | OutputFile * | of,
|  | OutputStream * | ost
| ) |  |

Definition at line 613 of file fftools_ffmpeg_mux.c.

## ◆ of_write_trailer()

int of_write_trailer | ( | OutputFile * | of | ) |

Definition at line 634 of file fftools_ffmpeg_mux.c.

## ◆ ost_free()

static void ost_free | ( | OutputStream ** | post | ) |
| static

Definition at line 670 of file fftools_ffmpeg_mux.c.

## ◆ pkt_move()

static void pkt_move | ( | void * | dst,
|  | void * | src
| ) |  |
| static

Definition at line 429 of file fftools_ffmpeg_mux.c.

## ◆ print_sdp()

static int print_sdp | ( | void |  | ) |
| static

Definition at line 480 of file fftools_ffmpeg_mux.c.

## ◆ queue_packet()

static int queue_packet | ( | Muxer * | mux,
|  | OutputStream * | ost,
|  | AVPacket * | pkt
| ) |  |
| static

Definition at line 298 of file fftools_ffmpeg_mux.c.

## ◆ submit_packet()

static int submit_packet | ( | Muxer * | mux,
|  | AVPacket * | pkt,
|  | OutputStream * | ost
| ) |  |
| static

Definition at line 340 of file fftools_ffmpeg_mux.c.

## ◆ sync_queue_process()

static int sync_queue_process | ( | Muxer * | mux,
|  | OutputStream * | ost,
|  | AVPacket * | pkt,
|  | int * | stream_eof
| ) |  |
| static

Definition at line 192 of file fftools_ffmpeg_mux.c.

## ◆ thread_set_name()

static void thread_set_name | ( | OutputFile * | of | ) |
| static

Definition at line 221 of file fftools_ffmpeg_mux.c.

## ◆ thread_start()

static int thread_start | ( | Muxer * | mux | ) |
| static

Definition at line 434 of file fftools_ffmpeg_mux.c.

## ◆ thread_stop()

static int thread_stop | ( | Muxer * | mux | ) |
| static

Definition at line 412 of file fftools_ffmpeg_mux.c.

## ◆ thread_submit_packet()

static int thread_submit_packet | ( | Muxer * | mux,
|  | OutputStream * | ost,
|  | AVPacket * | pkt
| ) |  |
| static

Definition at line 276 of file fftools_ffmpeg_mux.c.

## ◆ write_packet()

static int write_packet | ( | Muxer * | mux,
|  | OutputStream * | ost,
|  | AVPacket * | pkt
| ) |  |
| static

Definition at line 91 of file fftools_ffmpeg_mux.c.

## Variable Documentation

## ◆ want_sdp

__thread int want_sdp = 1

Definition at line 66 of file fftools_ffmpeg_mux.c.